# Created by pyp2rpm-3.3.3
%global pypi_name pep517

Name:           python-%{pypi_name}
Version:        0.13.0
Release:        %mkrel 4
Summary:        Wrappers to build Python packages using PEP 517 hooks
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pep517/
Source0:        %{pypi_source}
# Fix for build of dbus-python
Patch0:         pep517-Remove-chained-exception.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(flit-core)

%description
PEP 517 specifies a standard API for systems which build Python packages.

This package contains wrappers around the hooks specified by PEP 517.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
EP 517 specifies a standard API for systems which build Python packages.

This package contains wrappers around the hooks specified by PEP 517.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pep517

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.13.0-4.mga10
+ Revision: 2238700
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 0.13.0-3.mga10
+ Revision: 2155532
- rebuild for python3.13

* Mon Jan 29 2024 papoteur <papoteur> 0.13.0-2.mga10
+ Revision: 2035911
- rebuild for python 3.12

* Sat Sep 24 2022 papoteur <papoteur> 0.13.0-1.mga9
+ Revision: 1892113
- new 0.13.0 and fix for building dbus-python

* Wed Mar 23 2022 umeabot <umeabot> 0.12.0-3.mga9
+ Revision: 1822618
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 0.12.0-2.mga9
+ Revision: 1774496
- Rebuild for python-3.10

* Thu Feb 03 2022 mrambo3501 <mrambo3501> 0.12.0-1.mga9
+ Revision: 1771265
- version 0.12.0

* Sun Aug 29 2021 wally <wally> 0.11.0-1.mga9
+ Revision: 1743467
- new version 0.9.1

* Mon Mar 15 2021 wally <wally> 0.9.1-2.mga9
+ Revision: 1703295
- rebuild for python 3.9

* Sun Nov 22 2020 guillomovitch <guillomovitch> 0.9.1-1.mga8
+ Revision: 1648434
- new version 0.9.1

* Sun Mar 08 2020 wally <wally> 0.8.1-1.mga8
+ Revision: 1554942
- imported package python-pep517

